Correction to my post Rated 2 out of 5 stars

I wrote that the plugin worked with Firefox v55.0.32. It works with Firefox v55.0.2 but not with v56.0

This user has a previous review of this add-on.